Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class BlockMarkers

    java.lang.Object
      au.com.redhillconsulting.simian.BlockMarkers

    public final class BlockMarkers

extends java.lang.Object

Strings that mark the start and end of a code block.

Version:
  $Id$
Author:
  Simon Harris

Constructor Summary
`BlockMarkers(java.lang.String start, java.lang.String end)` Constructor.

Method Summary
`boolean` | `isEnd(au.com.redhillconsulting.simian.LineBuffer line)` Determines if the specified string signifies the end of the block.
`boolean` | `isStart(au.com.redhillconsulting.simian.LineBuffer line)` Determines if the specified string signifies the start of the block.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlockMarkers

    public BlockMarkers(java.lang.String start,
                        java.lang.String end)

  Constructor.

  Parameters:
    `start` - The string that indicates the start of the block.
    `end` - The string that indicates the end of the block.

Method Detail

### isStart

    public boolean isStart(au.com.redhillconsulting.simian.LineBuffer line)

  Determines if the specified string signifies the start of the block.

  Parameters:
    `line` - The line.
  Returns:
    `true` if the specified string signifies the start of the block; otherwise `false`.

### isEnd

    public boolean isEnd(au.com.redhillconsulting.simian.LineBuffer line)

  Determines if the specified string signifies the end of the block.

  Parameters:
    `line` - The line.
  Returns:
    `true` if the specified string signifies the end of the block; otherwise `false`.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.